<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Acciones</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col *ngIf="role">
        <ion-input
          required
          type="text"
          placeholder="Nombre"
          [(ngModel)]="role.name"
        ></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col *ngIf="role">
        <ion-input
          required
          type="text"
          placeholder="Descripción"
          [(ngModel)]="role.description"
        ></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col *ngIf="role">
        <ion-input
          required
          type="text"
          placeholder="Estado"
          [(ngModel)]="role.state"
        ></ion-input>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-radio-group [(ngModel)]="moduleData">
            <ion-list-header>Modulos</ion-list-header>
            <ion-item
              *ngFor="let module of modules | async; let i = index"
              (click)="selectModule($event, module, permissions)"
            >
              <ion-label>{{ module.name }}</ion-label>
              <ion-radio slot="end" [value]="module"></ion-radio>
            </ion-item>
          </ion-radio-group>
        </ion-list>
      </ion-col>
      <ion-col>
        <ion-list>
          <ion-list-header>Permisos</ion-list-header>
          <ion-item *ngFor="let permission of permissions; let i = index">
            <ion-label>{{ permission.name }}</ion-label>
            <ion-checkbox
              slot="end"
              [(ngModel)]="!!permission.checked"
              (click)="
                selectPermissions($event, permission, !permission.checked)
              "
            ></ion-checkbox>
          </ion-item>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button expand="full" (click)="save()"> Guardar </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-fab
    *ngIf="uuid"
    vertical="bottom"
    horizontal="end"
    slot="fixed"
    color="danger"
  >
    <ion-fab-button
      [routerLink]="['/web/roles/actions']"
      routerDirection="forward"
      (click)="delete()"
    >
      <ion-icon name="trash"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
